#%global commit ada50042a538b25276a1fa45b0ce57b897860a15
#%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:   NSS library for MySQL
Name:      libnss-maria
Version:   0.93
Release:   1%{?dist}
Source0:   https://github.com/istana/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
#Source0:   https://github.com/istana/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# authselect files
#Source2:   README
#Source3:   nsswitch.conf
URL:       https://github.com/istana/libnss-maria
License:   GPLv3+ and MIT and CC-BY

Requires:  authselect
BuildRequires: mariadb-devel, cmake, gcc-c++, libconfig-devel
BuildRequires: authselect, authselect-libs

%description
Store your UNIX user accounts in MySQL.

Replacement for old libnss-mysql as naming service library in Linux.

You can store user information in MariaDB/MySQL database. E.g. ls then
automatically shows user name from the database, getent shows users and
groups. Implements password, shadow and group getters.

%prep
%autosetup
#autosetup -n %{name}-%{commit}

%build
%cmake #-DVERBOSE=1 .
%cmake_build
# update mysql path in config template
sed -i 's|/var/run/mysqld/mysqld\.sock|/var/lib/mysql/mysql.sock|' \
  examples/unix_socket/libnss-maria.conf

%install
rm -rf $RPM_BUILD_ROOT
# cmake_install does nothing, copy files manually as describe in docs
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_sysconfdir}
cp -af \
  %{__cmake_builddir}/src/libnss_maria.so.* \
  $RPM_BUILD_ROOT%{_libdir}/
# configuration based on libnss-mysql-linux examples
cp -af \
  examples/libnss-mysql-linux/libnss-maria.conf \
  examples/libnss-mysql-linux/libnss-maria-root.conf \
  $RPM_BUILD_ROOT%{_sysconfdir}/
# install authselect files
%define authselect_vendor %{_datadir}/authselect/vendor/%{name}
mkdir -p $RPM_BUILD_ROOT%{authselect_vendor}
# Base on nis profile
cp -ar \
  %{_datadir}/authselect/default/nis/* \
  $RPM_BUILD_ROOT%{authselect_vendor}/
cp -af authselect/README authselect/nsswitch.conf \
  $RPM_BUILD_ROOT%{authselect_vendor}/

%check
%ctest

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md CHANGELOG.md
%doc examples
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/libnss-maria.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/libnss-maria-root.conf
%{_libdir}/*.so.*
%dir %{_datadir}/authselect/vendor/%{name}
%{_datadir}/authselect/vendor/%{name}/*

%changelog
* Fri Feb 05 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.93-1
- Update to upstream.

* Mon Nov 30 06:52:58 CET 2020 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.92-1
- Initial release based on libnss-mysql.
